Remove instruction entry
Remove one instruction entry; the removal is announced to the model at the next step boundary.
DELETE
/api/session/{sessionID}/instructions/entries/{key}Path parameters
sessionIDobjectrequiredkeyInstructionEntry.KeyrequiredResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError
Any of:
SessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X DELETE "/api/session/%5Bobject%20Object%5D/instructions/entries/%5Bobject%20Object%5D"const response = await fetch("/api/session/%5Bobject%20Object%5D/instructions/entries/%5Bobject%20Object%5D", {
method: "DELETE"
});import requests
response = requests.delete(
"/api/session/%5Bobject%20Object%5D/instructions/entries/%5Bobject%20Object%5D",
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SessionNotFoundError",
"sessionID": "string",
"message": "string"
}